﻿@inherits System.Web.Mvc.WebViewPage
@using System.Web.Mvc
@using System.Web.Mvc.Html
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>BoE Administration</title>
    @Styles.Render("~/Content/admin")
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/admin")
    @if (TempData["alert"] != null){
        <script type="text/javascript">
            alert("@TempData["alert"]");
        </script>
    }
</head>
<body>
    <header>
        <ul id="admin-menu" class="inline-block">
            <li>@Html.ActionLink("Home", "Index", "Home")</li>
            @if(BoE.WebSite.Business.BoESecurity.IsAuthenticated) 
            {
                if(Roles.IsUserInRole(BoE.Contexts.RolesFactory.Moderator)) 
                {
                    <li>@Html.ActionLink("User management", "Index", "User")</li>
                }
                if(Roles.IsUserInRole(BoE.Contexts.RolesFactory.Admin)) 
                {
                    <li>@Html.ActionLink("Game management", "Index", "Game")</li>
                    <li>@Html.ActionLink("Item management", "Index", "Item")</li>
                    <li>@Html.ActionLink("Statistics", "Index", "Stats")</li>
                }
            }
        </ul>
    </header>
    <div>
        @RenderBody()
    </div>
</body>
</html>
